import { _decorator, Component, Node } from 'cc';
import { UIBase } from '../Components/UIBase';
import { CarColorsGlobalInstance } from '../CarColorsGlobalInstance';
import { UINames } from '../CarColorsGlobalTypes';
import { PlatformManager } from '../../../ScriptFrame/Frame/platformManager';
import { showToast } from "db://assets/core/Module/UIFast";
import { AudioClipName, AudioMgr } from "db://assets/core/base/AudioMgr";
const { ccclass, property } = _decorator;

@ccclass('RevivePage')
export class RevivePage extends UIBase {
    reviveClick(){
        AudioMgr.ins.playOneShot(AudioClipName.button_ok);
        PlatformManager.instance.showVideoAd(()=>{
            CarColorsGlobalInstance.instance.roleSysterm.refreshRoleLine()
            CarColorsGlobalInstance.instance.uiSysterm.hideUI(UINames.RevivePage)
            AudioMgr.ins.playOneShot(AudioClipName.upgrade);
        },()=>{
            showToast("视频播放未完成！")
        })
    }
    closeClick(){
        AudioMgr.ins.playOneShot(AudioClipName.button_ok);
        CarColorsGlobalInstance.instance.uiSysterm.showUI(UINames.FailPage)
        CarColorsGlobalInstance.instance.uiSysterm.hideUI(UINames.RevivePage)
    }
}


